Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.velocity
Class StandaloneVelocityPlugin

    java.lang.Object
      org.blojsom.plugin.velocity.StandaloneVelocityPlugin

All Implemented Interfaces:
  Plugin

Direct Known Subclasses:
  CommentPlugin, DailyPostingPlugin, MoblogPlugin, PingbackPlugin, TechnoratiTagsPlugin, TrackbackPlugin

public abstract class StandaloneVelocityPlugin
extends java.lang.Object
implements Plugin

StandalongVelocityPlugin

Since:
  blojsom 3.0
Version:
  $Id: StandaloneVelocityPlugin.java,v 1.2 2006/03/20 22:51:10 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected org.apache.commons.logging.Log` | `_logger`
`protected javax.servlet.ServletConfig` | `_servletConfig`
`protected java.util.Properties` | `_velocityProperties`

Constructor Summary
`StandaloneVelocityPlugin()`

Method Summary
`void` | `init()` Initialize this plugin.
`protected java.lang.String` | `mergeTemplate(java.lang.String template, Blog blog, java.util.Map context)` Merge a given template for the user with the appropriate context
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the `ServletConfig`
`void` | `setVelocityProperties(java.util.Properties velocityProperties)` Set the Velocity properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.blojsom.plugin.Plugin
`cleanup, destroy, process`

Field Detail

### _logger

    protected org.apache.commons.logging.Log _logger

### _velocityProperties

    protected java.util.Properties _velocityProperties

### _servletConfig

    protected javax.servlet.ServletConfig _servletConfig

Constructor Detail

### StandaloneVelocityPlugin

    public StandaloneVelocityPlugin()

Method Detail

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### setVelocityProperties

    public void setVelocityProperties(java.util.Properties velocityProperties)

  Set the Velocity properties

  Parameters:
    `velocityProperties` - Velocity properties

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Set the `ServletConfig`

  Parameters:
    `servletConfig` - `ServletConfig`

### mergeTemplate

    protected java.lang.String mergeTemplate(java.lang.String template,
                                             Blog blog,
                                             java.util.Map context)

  Merge a given template for the user with the appropriate context

  Parameters:
    `template` - Template
    `blog` - `Blog` information
    `context` - Context with objects for use in the template
  Returns:
    Merged template or `null` if there was an error setting properties, loading the template, or merging the template

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD